summarylogtreecommitdiffstats
path: root/posh.install
diff options
context:
space:
mode:
Diffstat (limited to 'posh.install')
-rw-r--r--posh.install13
1 files changed, 13 insertions, 0 deletions
diff --git a/posh.install b/posh.install
new file mode 100644
index 000000000000..fda9581f6c28
--- /dev/null
+++ b/posh.install
@@ -0,0 +1,13 @@
+
+post_install() {
+ grep -q /bin/posh etc/shells || echo /bin/posh >> etc/shells
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ sed -i '/^\/bin\/posh/d' etc/shells
+}
+